Debian Bug report logs - #675835
gtkterm: FTBFS[!linux]: fatal error: linux/serial.h: No such file or directory

version graph

Package: src:gtkterm; Maintainer for src:gtkterm is Sebastien Bacher <seb128@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 3 Jun 2012 15:57:03 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version gtkterm/0.99.7~rc1-0.1

Fixed in version gtkterm/0.99.7~rc1-0.2

Done: Bart Martens <bartm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#675835; Package src:gtkterm. (Sun, 03 Jun 2012 15:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Sebastien Bacher <seb128@debian.org>. (Sun, 03 Jun 2012 15:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: gtkterm: FTBFS[!linux]: fatal error: linux/serial.h: No such file or directory
Date: Sun, 03 Jun 2012 17:56:22 +0200
Package: src:gtkterm
Version: 0.99.7~rc1-0.1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

#	source='serie.c' object='serie.o' libtool=no 
gcc -DHAVE_CONFIG_H -I. -I.. -DLOCALEDIR=\""/usr/share/locale"\"  -D_FORTIFY_SOURCE=2 -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-kfreebsd-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-kfreebsd-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-kfreebsd-gnu/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/include/gtk-2.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/lib/x86_64-kfreebsd-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/vte-0.0   -Wall -fno-omit-frame-pointer -fno-strict-aliasing -O2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -c serie.c
serie.c:28:26: fatal error: linux/serial.h: No such file or directory
compilation terminated.
make[3]: *** [serie.o] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=gtkterm&arch=kfreebsd-i386&ver=0.99.7%7Erc1-0.1&stamp=1337819138

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Added tag(s) patch. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 03 Jun 2012 16:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#675835; Package src:gtkterm. (Sun, 03 Jun 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Sun, 03 Jun 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 675835@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 675835@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#675835: gtkterm: FTBFS[!linux]: fatal error: linux/serial.h: No such file or directory
Date: Sun, 3 Jun 2012 18:44:01 +0200 (CEST)
[Message part 1 (text/plain, inline)]
tags 675835 +patch
--

Hi,

setting custom serial speed is linux specific,
please use attached patch.

Petr
[gtkterm.diff (text/x-diff, attachment)]

Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Fri, 13 Jul 2012 07:03:09 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 13 Jul 2012 07:03:09 GMT) Full text and rfc822 format available.

Message #17 received at 675835-close@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 675835-close@bugs.debian.org
Subject: Bug#675835: fixed in gtkterm 0.99.7~rc1-0.2
Date: Fri, 13 Jul 2012 07:02:12 +0000
Source: gtkterm
Source-Version: 0.99.7~rc1-0.2

We believe that the bug you reported is fixed in the latest version of
gtkterm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675835@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bart Martens <bartm@debian.org> (supplier of updated gtkterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 13 Jul 2012 06:17:16 +0000
Source: gtkterm
Binary: gtkterm
Architecture: source amd64
Version: 0.99.7~rc1-0.2
Distribution: unstable
Urgency: low
Maintainer: Sebastien Bacher <seb128@debian.org>
Changed-By: Bart Martens <bartm@debian.org>
Description: 
 gtkterm    - A simple GTK+ serial port terminal
Closes: 675835
Changes: 
 gtkterm (0.99.7~rc1-0.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * src/serie.c: Added use of "#ifdef __linux__".  Closes: #675835.  Patch by
     Petr Salinger <Petr.Salinger@seznam.cz>.
   * debian/copyright: Updated.
Checksums-Sha1: 
 c250cb9dd9a03988924a9af061291f3616807a4a 1717 gtkterm_0.99.7~rc1-0.2.dsc
 01f3bc4cf5bb08077212661c9a1117ca719c4136 3209 gtkterm_0.99.7~rc1-0.2.diff.gz
 f874166ad636effcb6a37f0a21fd2b1c5695ca47 59168 gtkterm_0.99.7~rc1-0.2_amd64.deb
Checksums-Sha256: 
 00152348dc69d6e9d1e9ec1e6f8b5ea1d11573dd86cc5cd4d82ef13d08d48e36 1717 gtkterm_0.99.7~rc1-0.2.dsc
 e520dc9a1c0c100243e3a229cd5907d77bfe45119f197e001cf79929df3f9c84 3209 gtkterm_0.99.7~rc1-0.2.diff.gz
 23c26614976f4266d1e31c72aa39527d4b2a74b44f49f40691bc1f2db362baec 59168 gtkterm_0.99.7~rc1-0.2_amd64.deb
Files: 
 b04912cc5cd331e22e1d6844c86b1218 1717 comm optional gtkterm_0.99.7~rc1-0.2.dsc
 1a7b69044175d7e5c585ab4434c55718 3209 comm optional gtkterm_0.99.7~rc1-0.2.diff.gz
 ba3371ad808f19a09c94472fd9b339b0 59168 comm optional gtkterm_0.99.7~rc1-0.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJP/8c6AAoJEDNV9NY7WCHMCHcQALSpvbZx/tG1pGgpW0yRmN/h
2T4Ucki1FJ1htYUSquvAI+F24R26PFaV0enantN45DPSRNKxaChaSkzBQKhEJKBL
5JXJ50rJDUFFESRTqSK0uI8rcyB5rqOjl49cBQ0Ola+2PuSpFvR+mpHEAYa7HwYR
zwjJi80f7oWYnine3XfO2SMl+A0RLq17d2JmLz+MVTSmz7y+A2hfoEq5aMESy0JZ
CjpxXlptRbEYW+OzfNIpeoHa4nlOEOYHst1MeTVAisI6x8mS+31FiXw5NrcSGXqm
prHUyTj1+9ykXRqW0EX/3G6Jebt/l0HyilY2JsQZLOpejeQ0jfNkenTm35W7PUba
Gh6cJMWxq8uYHGK6hEdWCKQPqUbb3VcI1m4dI/4MNllVa/jCZObwzlL4vL0mGx8X
667OtUGqEmLr4iXni3LYgEOiku8++jZMR8tbSueCb28BW5pSVV6EthTVf/FpjZ3e
1u4aZNzwg4xNqRms/7G1gov78V66cVwnzchJWeKRqCzmBu2ReALZix4i5Z8nj8DH
6pfcNt5HBT18BzbrId3H3CZbYYsIO7KEUhnejcVE9ADP6UsSL6O9Ilkvbfw6wo8r
/f/d3FdoqUwd/x5/ZIhNfWIk8G2OXB8wQn1AQwbcRpKfqIlduQvcr0VBouY6/ta3
aDqkSUuLshsli1Ov76Dk
=r2ne
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Aug 2012 07:26:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:20:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.